Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.util
Class PrologFile

    java.lang.Object
      ifs.util.PrologFile

All Implemented Interfaces:
  Iterator

    public class PrologFile

extends Object
implements Iterator

A class for reading prolog files.

Version:
  1.0
Author:
  Tomáš Müller

Nested Class Summary
`static class` | `PrologFile.Term` Term -- it can contain a text and a content (set of terms)

Constructor Summary
`PrologFile(String file)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`static Vector` | `readTermsFromStream(InputStream is, String term)` Reads a prolog file.
`void` | `remove()`
`static void` | `writeTerms(PrintWriter pw, Vector terms)` Writes a set of terms.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrologFile

    public PrologFile(String file)
               throws IOException

Throws:
  `IOException`

Method Detail

### readTermsFromStream

    public static Vector readTermsFromStream(InputStream is,
                                             String term)
                                      throws IOException

  Reads a prolog file. It returns a set of terms

  Throws:
    `IOException`

### writeTerms

    public static void writeTerms(PrintWriter pw,
                                  Vector terms)
                           throws IOException

  Writes a set of terms.

  Throws:
    `IOException`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller